14 October, 2009

Android on Fedora

Samsung Should be soon launching Galaxy in market ( android based phone ). Android as such, looks very attractive to me, due to its developer friendly nature. If you wonder, why not an iPhone, I am biased towards linux, and a long read can be seen on reddit

To start with, I downloaded Android 1.6 SDK , and followed the install instructions

While install the Eclipse ADT plugin, you might encoutner a few nasty error message as see below


Cannot complete the request. See the details.
Unsatisfied dependency: ... org.eclipse.equinox.p2.iu/org.eclipse.wst.xml.core/0.0.0
Unsatisfied dependency: ... org.eclipse.equinox.p2.iu/org.eclipse.wst.sse.core/0.0.0
Unsatisfied dependency: ... org.eclipse.equinox.p2.iu/org.eclipse.wst.xml.ui/0.0.0
Unsatisfied dependency: ... org.eclipse.equinox.p2.iu/org.eclipse.wst.sse.ui/0.0.0


To fix these, ( instructions from android-sdk-on-fedora-10 )

* enable "Eclipse Ganymede updates repository", from Help->software Updates->Available Software->Manage Sites->Tick "Ganymede Update Site"
* Search for "WST Common UI" from search box, tick it, and click on "Install"

Once the above is done, you can go ahead and install ADT plugin ( This may take some time ).

I also did run android emulator, which automatically picked by my internet connection, and worked pretty well with it.

1 comment:

  1. yes for you it worked. and you compiled successfully from git. i am on debian(sid/experimental) and i did the same as per instructions. and i didnt have swap memory. i dont use it. and i did add 2*4 gigs i.e. 8 gigs of ram and that too i did add it in fstab and i tried too many times with one error. OOM. and i went awe 8 gb aint enough to compile the sdk on c734tu? then i decided to halt the process till i undergo a CPU upgrade. i am going from m540 to t8300 hopefully things will go right and i dont have to use much of my other 3 laptops for this. and yes i havent found a single help topic even in freenode's #android they couldn't solve it. the OOM issue. and i am still on stall with the OOM issue. base ram is 2 gig and 8 gigs of swap and java-5 and not 6 and eclipse and still? nokia's maemo builds perfectly and i have had no issue. yes i am running amd64 on m540 as it has 64 bit instruction sets. and worse? i was able to compile the sdk for symbian too. but android is such a "Bitch!"

    ReplyDelete